<div class="ui text left aligned dividing header">
  <h4>Retos y proyecto</h4>
</div>

<% if params[:period_id].to_i != 5 %>
  <div class="ui fluid styled accordion">
    <% @subject.modules.each do |mod| %>
      <div class="title">
        <i class="dropdown icon"></i>
        <%= mod.name.humanize %> <%= mod.contents.present? ? "- #{mod.contents.first.name.humanize}" : '' %>
      </div>
      <% mod.contents.each do |content| %>
        <div class="content">
          <%= student_content_show(content) %>
        </div>
      <% end %>
    <% end %>
  </div>
<% else %>
  <div class="ui fluid styled accordion">
    <% Admin::Academic::Student::Subject::ContentUpload
         .where(period_id: 5, student_id: @user.id, subject_id: params[:search].to_i)
         .order(content_type_name: :desc).each do |content| %>
      <div class="title">
        <i class="dropdown icon"></i>
        <%= content.content_type_name.humanize %>
      </div>
      <%# mod.contents.each do |content| %>
        <div class="content">
          <li><strong>Calificación: </strong><%= content.score.present? ? "#{content.score}/10" : 'Por calificar' %></li>
          <li><strong>Comentario del tutor: </strong><%= content.teacher_comment.present? ? "#{content.teacher_comment}" : 'No hay comentarios del tutor' %></li>
          <li><%= content.file.attached? ? link_to('Descargar', rails_blob_path(content.file, disposition: 'attachment'), download: '') : 'EL archivo ya no se encuentra en la nube.' %></li>
        </div>
      <%# end %>
    <% end %>
  </div>
<% end %>

<script>
  $('.ui.accordion').accordion();
</script>
